<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.SyncTablesViewMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.SyncTablesView">
        <result column="create_time" property="createTime" />
        <result column="task_id" property="taskId" />
        <result column="task_name" property="taskName" />
        <result column="source_db_id" property="sourceDbId" />
        <result column="source_table" property="sourceTable" />
        <result column="target_table" property="targetTable" />
        <result column="is_active" property="isActive" />
        <result column="last_sync_time" property="lastSyncTime" />
        <result column="update_time" property="updateTime" />
        <result column="db_type" property="dbType" />
        <result column="db_id" property="dbId" />
        <result column="success_rows" property="successRows" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, task_id, task_name, source_db_id, source_table, target_table, is_active, last_sync_time, update_time, db_type, db_id, success_rows
    </sql>

</mapper>
